Completions
curl --request POST \
--url https://api.savegate.ai/v1/completions \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"prompt": {},
"max_tokens": 123,
"temperature": 123,
"stream": true
}
'import requests
url = "https://api.savegate.ai/v1/completions"
payload = {
"model": "<string>",
"prompt": {},
"max_tokens": 123,
"temperature": 123,
"stream": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({model: '<string>', prompt: {}, max_tokens: 123, temperature: 123, stream: true})
};
fetch('https://api.savegate.ai/v1/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoints
Completions
Create text completions (legacy endpoint)
POST
/
v1
/
completions
Completions
Overview
This is a legacy endpoint. We recommend using Chat Completions for all use cases.
Request
Body Parameters
string
required
Model ID to use
string or array
required
The prompt(s) to generate completions for
integer
default:"16"
Maximum tokens to generate
number
default:"1"
Sampling temperature
boolean
default:"false"
Whether to stream responses
Example
curl https://api.savegate.ai/v1/completions \
-H "Authorization: Bearer sk-savegate-xxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{
"model": "gpt-3.5-turbo-instruct",
"prompt": "Say this is a test",
"max_tokens": 7,
"temperature": 0
}'
For new applications, use the Chat Completions endpoint instead.
⌘I